# DiffieHellmanParameters Class Reference
[Diffie-Hellman Key Agreement Method (RFC-2631) implementation]

List of all members.

## Public Member Functions

| __construct (BigInteger $gen, BigInteger $modulus)
| getGen ()
| getModulus ()

## Static Public Member Functions

static | create (BigInteger $gen, BigInteger $modulus)

## Private Attributes

| $gen = null
| $modulus = null

## Detailed Description

See also:
  http://tools.ietf.org/html/rfc2631

Definition at line 17 of file DiffieHellmanParameters.class.php.

## Constructor & Destructor Documentation

DiffieHellmanParameters::__construct | ( | BigInteger $ | gen,
|  | BigInteger $ | modulus |
| ) |  |  |

Definition at line 22 of file DiffieHellmanParameters.class.php.

References Assert::brothers().

Here is the call graph for this function:

## Member Function Documentation

static DiffieHellmanParameters::create | ( | BigInteger $ | gen,
|  | BigInteger $ | modulus |
| ) |  |  | `[static]`

Returns:
  DiffieHellmanParameters

Definition at line 33 of file DiffieHellmanParameters.class.php.

DiffieHellmanParameters::getGen | ( |  | ) |

Returns:
  BigInteger

Definition at line 41 of file DiffieHellmanParameters.class.php.

Referenced by DiffieHellmanKeyPair::generate().

DiffieHellmanParameters::getModulus | ( |  | ) |

Returns:
  BigInteger

Definition at line 49 of file DiffieHellmanParameters.class.php.

Referenced by DiffieHellmanKeyPair::generate().

## Member Data Documentation

DiffieHellmanParameters::$gen = null`[private]`

Definition at line 19 of file DiffieHellmanParameters.class.php.

DiffieHellmanParameters::$modulus = null`[private]`

Definition at line 20 of file DiffieHellmanParameters.class.php.

The documentation for this class was generated from the following file:

- main/Crypto/DiffieHellmanParameters.class.php